﻿
'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports __Employee = LightSwitchApplication.Employee

Namespace LightSwitchApplication

    #Region "Entities"
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class Employee
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __Employee, __Employee.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the Employee entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __Employee))
            MyBase.New(entitySet)
            
            __Employee.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Employee_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Employee_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __Employee.DetailsClass.GetValue(Me, __Employee.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __Employee.DetailsClass.SetValue(Me, __Employee.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __Employee.DetailsClass.GetValue(Me, __Employee.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __Employee.DetailsClass.SetValue(Me, __Employee.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property EmployeeName As String
            Get
                Return __Employee.DetailsClass.GetValue(Me, __Employee.DetailsClass.PropertySetProperties.EmployeeName)
            End Get
            Set
                __Employee.DetailsClass.SetValue(Me, __Employee.DetailsClass.PropertySetProperties.EmployeeName, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub EmployeeName_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub EmployeeName_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub EmployeeName_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property IdNumber As String
            Get
                Return __Employee.DetailsClass.GetValue(Me, __Employee.DetailsClass.PropertySetProperties.IdNumber)
            End Get
            Set
                __Employee.DetailsClass.SetValue(Me, __Employee.DetailsClass.PropertySetProperties.IdNumber, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub IdNumber_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub IdNumber_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub IdNumber_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Phone As String
            Get
                Return __Employee.DetailsClass.GetValue(Me, __Employee.DetailsClass.PropertySetProperties.Phone)
            End Get
            Set
                __Employee.DetailsClass.SetValue(Me, __Employee.DetailsClass.PropertySetProperties.Phone, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Phone_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Phone_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Phone_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property ContactPerson As String
            Get
                Return __Employee.DetailsClass.GetValue(Me, __Employee.DetailsClass.PropertySetProperties.ContactPerson)
            End Get
            Set
                __Employee.DetailsClass.SetValue(Me, __Employee.DetailsClass.PropertySetProperties.ContactPerson, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ContactPerson_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ContactPerson_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ContactPerson_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property ContactPhone As String
            Get
                Return __Employee.DetailsClass.GetValue(Me, __Employee.DetailsClass.PropertySetProperties.ContactPhone)
            End Get
            Set
                __Employee.DetailsClass.SetValue(Me, __Employee.DetailsClass.PropertySetProperties.ContactPhone, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ContactPhone_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ContactPhone_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ContactPhone_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property UserName As String
            Get
                Return __Employee.DetailsClass.GetValue(Me, __Employee.DetailsClass.PropertySetProperties.UserName)
            End Get
            Set
                __Employee.DetailsClass.SetValue(Me, __Employee.DetailsClass.PropertySetProperties.UserName, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub UserName_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub UserName_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub UserName_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property SalesOrderHeaders As Global.Microsoft.LightSwitch.Framework.EntityCollection(Of Global.LightSwitchApplication.SalesOrderHeader)
            Get
                Return __Employee.DetailsClass.GetValue(Me, __Employee.DetailsClass.PropertySetProperties.SalesOrderHeaders)
            End Get
        End Property
        
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property SalesOrderHeadersQuery As Microsoft.LightSwitch.IDataServiceQueryable(Of Global.LightSwitchApplication.SalesOrderHeader)
            Get
                Return __Employee.DetailsClass.GetQuery(Me, __Employee.DetailsClass.PropertySetProperties.SalesOrderHeaders)
            End Get
        End Property

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property StoreDetail As Global.LightSwitchApplication.StoreDetail
            Get
                Return __Employee.DetailsClass.GetValue(Me, __Employee.DetailsClass.PropertySetProperties.StoreDetail)
            End Get
            Set
                __Employee.DetailsClass.SetValue(Me, __Employee.DetailsClass.PropertySetProperties.StoreDetail, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub StoreDetail_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub StoreDetail_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub StoreDetail_Changed()
        End Sub

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __Employee, _
                __Employee.DetailsClass, _
                __Employee.DetailsClass.IImplementation, _
                __Employee.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __Employee, __Employee.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __Employee, __Employee.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __Employee.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __EmployeeEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __Employee, __Employee.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __Employee, __Employee.DetailsClass).Entry( _
                    AddressOf __Employee.DetailsClass.__Employee_CreateNew, _
                    AddressOf __Employee.DetailsClass.__Employee_Created, _
                    AddressOf __Employee.DetailsClass.__Employee_AllowSaveWithErrors)
            Private Shared Function __Employee_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __Employee)) As __Employee
                Return New __Employee(es)
            End Function
            Private Shared Sub __Employee_Created(e As __Employee)
                e.Employee_Created()
            End Sub
            Private Shared Function __Employee_AllowSaveWithErrors(e As __Employee) As Boolean
                Dim result As Boolean = False
                e.Employee_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __Employee, __Employee.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __Employee, __Employee.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __Employee.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __Employee, __Employee.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Employee.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Employee.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property EmployeeName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Employee.DetailsClass.PropertySetProperties.EmployeeName),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property IdNumber As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Employee.DetailsClass.PropertySetProperties.IdNumber),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Phone As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Employee.DetailsClass.PropertySetProperties.Phone),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property ContactPerson As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Employee.DetailsClass.PropertySetProperties.ContactPerson),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property ContactPhone As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Employee.DetailsClass.PropertySetProperties.ContactPhone),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property UserName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Employee.DetailsClass.PropertySetProperties.UserName),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property SalesOrderHeaders As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Employee, __Employee.DetailsClass, Global.LightSwitchApplication.SalesOrderHeader)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Employee.DetailsClass.PropertySetProperties.SalesOrderHeaders),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Employee, __Employee.DetailsClass, Global.LightSwitchApplication.SalesOrderHeader))
                    End Get
                End Property
                
                Public ReadOnly Property StoreDetail As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __Employee, __Employee.DetailsClass, Global.LightSwitchApplication.StoreDetail)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Employee.DetailsClass.PropertySetProperties.StoreDetail),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __Employee, __Employee.DetailsClass, Global.LightSwitchApplication.StoreDetail))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property EmployeeName As String
                Shadows Property IdNumber As String
                Shadows Property Phone As String
                Shadows Property ContactPerson As String
                Shadows Property ContactPhone As String
                Shadows Property UserName As String
                Shadows ReadOnly Property SalesOrderHeaders As Global.System.Collections.IEnumerable
                Shadows Property StoreDetail As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Employee.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, Integer).Data), d As __Employee.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __Employee) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __Employee, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __Employee.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __Employee.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __Employee)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Employee.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, Byte()).Data), d As __Employee.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __Employee) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __Employee, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __Employee.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __Employee.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __Employee)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly EmployeeName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String).Entry( _
                        "EmployeeName", _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._EmployeeName_Stub, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._EmployeeName_ComputeIsReadOnly, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._EmployeeName_Validate, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._EmployeeName_GetImplementationValue, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._EmployeeName_SetImplementationValue, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._EmployeeName_OnValueChanged)
                Private Shared Sub _EmployeeName_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Employee.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String).Data), d As __Employee.DetailsClass, sf As Object)
                    c(d, d._EmployeeName, sf)
                End Sub
                Private Shared Function _EmployeeName_ComputeIsReadOnly(e As __Employee) As Boolean
                    Dim result As Boolean = False
                    e.EmployeeName_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _EmployeeName_Validate(e As __Employee, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.EmployeeName_Validate(r)
                End Sub
                Private Shared Function _EmployeeName_GetImplementationValue(d As __Employee.DetailsClass) As String
                    Return d.ImplementationEntity.EmployeeName
                End Function
                Private Shared Sub _EmployeeName_SetImplementationValue(d As __Employee.DetailsClass, v As String)
                    d.ImplementationEntity.EmployeeName = v
                End Sub
                Private Shared Sub _EmployeeName_OnValueChanged(e As __Employee)
                    e.EmployeeName_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly IdNumber As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String).Entry( _
                        "IdNumber", _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._IdNumber_Stub, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._IdNumber_ComputeIsReadOnly, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._IdNumber_Validate, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._IdNumber_GetImplementationValue, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._IdNumber_SetImplementationValue, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._IdNumber_OnValueChanged)
                Private Shared Sub _IdNumber_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Employee.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String).Data), d As __Employee.DetailsClass, sf As Object)
                    c(d, d._IdNumber, sf)
                End Sub
                Private Shared Function _IdNumber_ComputeIsReadOnly(e As __Employee) As Boolean
                    Dim result As Boolean = False
                    e.IdNumber_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _IdNumber_Validate(e As __Employee, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.IdNumber_Validate(r)
                End Sub
                Private Shared Function _IdNumber_GetImplementationValue(d As __Employee.DetailsClass) As String
                    Return d.ImplementationEntity.IdNumber
                End Function
                Private Shared Sub _IdNumber_SetImplementationValue(d As __Employee.DetailsClass, v As String)
                    d.ImplementationEntity.IdNumber = v
                End Sub
                Private Shared Sub _IdNumber_OnValueChanged(e As __Employee)
                    e.IdNumber_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Phone As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String).Entry( _
                        "Phone", _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._Phone_Stub, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._Phone_ComputeIsReadOnly, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._Phone_Validate, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._Phone_GetImplementationValue, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._Phone_SetImplementationValue, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._Phone_OnValueChanged)
                Private Shared Sub _Phone_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Employee.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String).Data), d As __Employee.DetailsClass, sf As Object)
                    c(d, d._Phone, sf)
                End Sub
                Private Shared Function _Phone_ComputeIsReadOnly(e As __Employee) As Boolean
                    Dim result As Boolean = False
                    e.Phone_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Phone_Validate(e As __Employee, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Phone_Validate(r)
                End Sub
                Private Shared Function _Phone_GetImplementationValue(d As __Employee.DetailsClass) As String
                    Return d.ImplementationEntity.Phone
                End Function
                Private Shared Sub _Phone_SetImplementationValue(d As __Employee.DetailsClass, v As String)
                    d.ImplementationEntity.Phone = v
                End Sub
                Private Shared Sub _Phone_OnValueChanged(e As __Employee)
                    e.Phone_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly ContactPerson As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String).Entry( _
                        "ContactPerson", _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._ContactPerson_Stub, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._ContactPerson_ComputeIsReadOnly, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._ContactPerson_Validate, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._ContactPerson_GetImplementationValue, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._ContactPerson_SetImplementationValue, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._ContactPerson_OnValueChanged)
                Private Shared Sub _ContactPerson_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Employee.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String).Data), d As __Employee.DetailsClass, sf As Object)
                    c(d, d._ContactPerson, sf)
                End Sub
                Private Shared Function _ContactPerson_ComputeIsReadOnly(e As __Employee) As Boolean
                    Dim result As Boolean = False
                    e.ContactPerson_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _ContactPerson_Validate(e As __Employee, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.ContactPerson_Validate(r)
                End Sub
                Private Shared Function _ContactPerson_GetImplementationValue(d As __Employee.DetailsClass) As String
                    Return d.ImplementationEntity.ContactPerson
                End Function
                Private Shared Sub _ContactPerson_SetImplementationValue(d As __Employee.DetailsClass, v As String)
                    d.ImplementationEntity.ContactPerson = v
                End Sub
                Private Shared Sub _ContactPerson_OnValueChanged(e As __Employee)
                    e.ContactPerson_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly ContactPhone As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String).Entry( _
                        "ContactPhone", _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._ContactPhone_Stub, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._ContactPhone_ComputeIsReadOnly, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._ContactPhone_Validate, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._ContactPhone_GetImplementationValue, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._ContactPhone_SetImplementationValue, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._ContactPhone_OnValueChanged)
                Private Shared Sub _ContactPhone_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Employee.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String).Data), d As __Employee.DetailsClass, sf As Object)
                    c(d, d._ContactPhone, sf)
                End Sub
                Private Shared Function _ContactPhone_ComputeIsReadOnly(e As __Employee) As Boolean
                    Dim result As Boolean = False
                    e.ContactPhone_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _ContactPhone_Validate(e As __Employee, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.ContactPhone_Validate(r)
                End Sub
                Private Shared Function _ContactPhone_GetImplementationValue(d As __Employee.DetailsClass) As String
                    Return d.ImplementationEntity.ContactPhone
                End Function
                Private Shared Sub _ContactPhone_SetImplementationValue(d As __Employee.DetailsClass, v As String)
                    d.ImplementationEntity.ContactPhone = v
                End Sub
                Private Shared Sub _ContactPhone_OnValueChanged(e As __Employee)
                    e.ContactPhone_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly UserName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String).Entry( _
                        "UserName", _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._UserName_Stub, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._UserName_ComputeIsReadOnly, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._UserName_Validate, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._UserName_GetImplementationValue, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._UserName_SetImplementationValue, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._UserName_OnValueChanged)
                Private Shared Sub _UserName_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Employee.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String).Data), d As __Employee.DetailsClass, sf As Object)
                    c(d, d._UserName, sf)
                End Sub
                Private Shared Function _UserName_ComputeIsReadOnly(e As __Employee) As Boolean
                    Dim result As Boolean = False
                    e.UserName_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _UserName_Validate(e As __Employee, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.UserName_Validate(r)
                End Sub
                Private Shared Function _UserName_GetImplementationValue(d As __Employee.DetailsClass) As String
                    Return d.ImplementationEntity.UserName
                End Function
                Private Shared Sub _UserName_SetImplementationValue(d As __Employee.DetailsClass, v As String)
                    d.ImplementationEntity.UserName = v
                End Sub
                Private Shared Sub _UserName_OnValueChanged(e As __Employee)
                    e.UserName_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly SalesOrderHeaders As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Employee, __Employee.DetailsClass, Global.LightSwitchApplication.SalesOrderHeader).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Employee, __Employee.DetailsClass, Global.LightSwitchApplication.SalesOrderHeader).Entry( _
                        "SalesOrderHeaders", _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._SalesOrderHeaders_Stub, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._SalesOrderHeaders_GetReferencedEntities, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._SalesOrderHeaders_GetEntityCollection)
                Private Shared Sub _SalesOrderHeaders_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Employee.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Employee, __Employee.DetailsClass, Global.LightSwitchApplication.SalesOrderHeader).Data), d As __Employee.DetailsClass, sf As Object)
                    c(d, d._SalesOrderHeaders, sf)
                End Sub
                Private Shared Function _SalesOrderHeaders_GetReferencedEntities(d As __Employee.DetailsClass) As Global.System.Collections.Generic.IEnumerable(Of Global.LightSwitchApplication.SalesOrderHeader)
                    Return d.GetReferencedEntities(Of Global.LightSwitchApplication.SalesOrderHeader, Global.LightSwitchApplication.SalesOrderHeader.DetailsClass)(__Employee.DetailsClass.PropertySetProperties.SalesOrderHeaders, d._SalesOrderHeaders)
                End Function
                Private Shared Function _SalesOrderHeaders_GetEntityCollection(d As __Employee.DetailsClass) As Global.System.Collections.IEnumerable
                    Return d.ImplementationEntity.SalesOrderHeaders
                End Function
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly StoreDetail As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __Employee, __Employee.DetailsClass, Global.LightSwitchApplication.StoreDetail).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __Employee, __Employee.DetailsClass, Global.LightSwitchApplication.StoreDetail).Entry( _
                        "StoreDetail", _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._StoreDetail_Stub, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._StoreDetail_ComputeIsReadOnly, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._StoreDetail_Validate, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._StoreDetail_GetCoreImplementationValue, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._StoreDetail_GetImplementationValue, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._StoreDetail_SetImplementationValue, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._StoreDetail_Refresh, _
                        AddressOf __Employee.DetailsClass.PropertySetProperties._StoreDetail_OnValueChanged)
                Private Shared Sub _StoreDetail_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Employee.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __Employee, __Employee.DetailsClass, Global.LightSwitchApplication.StoreDetail).Data), d As __Employee.DetailsClass, sf As Object)
                    c(d, d._StoreDetail, sf)
                End Sub
                Private Shared Function _StoreDetail_ComputeIsReadOnly(e As __Employee) As Boolean
                    Dim result As Boolean = False
                    e.StoreDetail_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _StoreDetail_Validate(e As __Employee, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.StoreDetail_Validate(r)
                End Sub
                Private Shared Function _StoreDetail_GetCoreImplementationValue(d as __Employee.DetailsClass) As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                    Return d.ImplementationEntity.StoreDetail
                End Function
                Private Shared Function _StoreDetail_GetImplementationValue(d as __Employee.DetailsClass) As Global.LightSwitchApplication.StoreDetail
                    Return d.GetImplementationValue(Of Global.LightSwitchApplication.StoreDetail, Global.LightSwitchApplication.StoreDetail.DetailsClass)(__Employee.DetailsClass.PropertySetProperties.StoreDetail, d._StoreDetail)
                End Function
                Private Shared Sub _StoreDetail_SetImplementationValue(d As __Employee.DetailsClass, v As Global.LightSwitchApplication.StoreDetail)
                    d.SetImplementationValue(__Employee.DetailsClass.PropertySetProperties.StoreDetail, d._StoreDetail, Sub(i, ev) i.StoreDetail = ev, v)
                End Sub
                Private Shared Sub _StoreDetail_Refresh(d As __Employee.DetailsClass)
                    d.RefreshNavigationProperty(__Employee.DetailsClass.PropertySetProperties.StoreDetail, d._StoreDetail)
                End Sub
                Private Shared Sub _StoreDetail_OnValueChanged(e As __Employee)
                    e.StoreDetail_Changed()
                End Sub
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _EmployeeName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _IdNumber As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Phone As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _ContactPerson As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _ContactPhone As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _UserName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Employee, __Employee.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _SalesOrderHeaders As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Employee, __Employee.DetailsClass, Global.LightSwitchApplication.SalesOrderHeader).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _StoreDetail As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __Employee, __Employee.DetailsClass, Global.LightSwitchApplication.StoreDetail).Data
            
        End Class
    
        #End Region
    
    End Class
    
    #End Region
End Namespace
